Package com.sas.lsaf.workflow.task

## Class JobTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task
      - - com.sas.lsaf.workflow.task.JobTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class JobTask
      extends Task

  The class that represents a job task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.task.Task

      `Task.Complexity, Task.Priority, Task.TaskStatus`

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created, java.util.Date started, Task.TaskStatus taskStatus, java.util.List<Attribute> attributes, java.lang.String jobPath, java.lang.String jobVersion, java.util.List<ParameterValue> parameterValues)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getJobPath()` | Gets the full path of the job.
    `java.lang.String` | `getJobVersion()` | Gets the version of the job.
    `java.util.List<ParameterValue>` | `getParameterValues()` | Gets the parameter values that override the default parameter values in the job.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.Task

      `getAttributes, getStarted, getTaskStatus, setAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobTask

          public JobTask​(java.lang.String typeId,
                         java.lang.String id,
                         java.lang.String elementId,
                         java.lang.String name,
                         java.lang.String description,
                         Element.ElementType type,
                         ProcessFlowDescriptor.FlowStatus flowStatus,
                         java.lang.String processFlowId,
                         java.util.Date created,
                         java.util.Date started,
                         Task.TaskStatus taskStatus,
                         java.util.List<Attribute> attributes,
                         java.lang.String jobPath,
                         java.lang.String jobVersion,
                         java.util.List<ParameterValue> parameterValues)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `typeId` - The object type identifier of the element.
        `id` - The unique identifier of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `name` - The name of the element.
        `description` - The description of the element.
        `type` - The type of the element.
        `flowStatus` - The status of the process flow that contains the element.
        `processFlowId` - The identifier of process flow that contains the element.
        `created` - The date on which the element was created.
        `started` - The date on which the element was started.
        `taskStatus` - The status of the element.
        `attributes` - The extended attributes of the task.
        `jobPath` - The path of the job with the task.
        `jobVersion` - The version of the job to run with the task.
        `parameterValues` - The parameter values used to run the job with the task.

  - ### Method Detail

    - #### getJobPath

          public java.lang.String getJobPath()

      Gets the full path of the job.
      Returns:
        The full path.

    - #### getJobVersion

          public java.lang.String getJobVersion()

      Gets the version of the job. If null, the latest version is used.
      Returns:
        The version the job.

    - #### getParameterValues

          public java.util.List<ParameterValue> getParameterValues()

      Gets the parameter values that override the default parameter values in the job.
      Returns:
        The parameter values.